DOM::ProcessingInstruction Class Reference

`#include <dom_xml.h>`

Inheritance diagram for DOM::ProcessingInstruction:

## Public Member Functions

| ProcessingInstruction (const ProcessingInstruction &other)
| ProcessingInstruction (const Node &other)
ProcessingInstruction & | operator= (const Node &other)
ProcessingInstruction & | operator= (const ProcessingInstruction &other)
DOMString | target () const
DOMString | data () const
void | setData (const DOMString &)
StyleSheet | sheet () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| ProcessingInstruction (ProcessingInstructionImpl *i)

## Friends

class | Document

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The `ProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

Definition at line 259 of file dom_xml.h.

## Member Function Documentation

DOMString ProcessingInstruction::data | ( |  | ) | const

The content of this processing instruction.

This is from the first non white space character after the target to the character immediately preceding the ``?> .

Definition at line 264 of file dom_xml.cpp.

void ProcessingInstruction::setData | ( | const DOMString & | _data | ) |

see data

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Definition at line 272 of file dom_xml.cpp.

StyleSheet ProcessingInstruction::sheet | ( |  | ) | const

Introduced in DOM Level 2 This method is from the LinkStyle interface.

The style sheet.

Definition at line 287 of file dom_xml.cpp.

DOMString ProcessingInstruction::target | ( |  | ) | const

The target of this processing instruction.

XML defines this as being the first token following the markup that begins the processing instruction.

Definition at line 256 of file dom_xml.cpp.

The documentation for this class was generated from the following files:

- dom_xml.h
- dom_xml.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys